乐筑天下

搜索
欢迎各位开发者和用户入驻本平台 尊重版权,从我做起,拒绝盗版,拒绝倒卖 签到、发布资源、邀请好友注册,可以获得银币 请注意保管好自己的密码,避免账户资金被盗
查看: 74|回复: 17

[编程交流] 需要帮助快捷方式。

[复制链接]

2

主题

18

帖子

16

银币

初来乍到

Rank: 1

铜币
10
发表于 2022-7-6 07:20:01 | 显示全部楼层 |阅读模式
嗨,CadTutorers的第一个帖子,希望还有更多。
 
我有一条14公里长的控制线,不需要手动编辑每个多行文字。
im使用的(部门)链测长度宏会输出多行文字,如1000.00 1100.000,但是我的项目经理希望在计划中以公里为单位。
它将被标为1.1km和1.2km,以任何快速的方式完成。
 
提前感谢绿色用户。
回复

使用道具 举报

35

主题

2471

帖子

2447

银币

初露锋芒

Rank: 3Rank: 3Rank: 3

铜币
174
发表于 2022-7-6 07:25:02 | 显示全部楼层
那个宏是什么?我的意思是AutoLISP、VBA、ARX或。Net例程?
您熟悉上述宏的编程语言吗?如果答案是肯定的,那么只需定位打印标签的行并调整字符串-需要除法操作和后缀追加。如果没有,要么试着找到开发该工具的人并请求修改,要么调查是否允许您在此处发布例程并让他人查看。
回复

使用道具 举报

2

主题

18

帖子

16

银币

初来乍到

Rank: 1

铜币
10
发表于 2022-7-6 07:30:28 | 显示全部楼层
 
我不熟悉它编码lisp Vba等。因此加入这里学习。我敢肯定,这是一个定制,虽然它的标准为该部门。这是一个。exe,提取到Acad这就是我所知道的这个(CHG)链接宏是存储在定制中的许多宏之一。如果可能的话,我希望在CHG宏后对问题进行排序,或者我可以尝试定位是否存储了代码(我需要一些说明)。我不能张贴。exe,但谷歌主要raods自定义和它的顶部链接即时消息使用2010年地图。谢谢MSasu
回复

使用道具 举报

2

主题

18

帖子

16

银币

初来乍到

Rank: 1

铜币
10
发表于 2022-7-6 07:32:17 | 显示全部楼层
  1. ; Functions used in MR_Chainage (CHG)
  2. ;; Build a list containing all the Vertexes and bulge factors
  3. ; Requires a variable entlist for use in the locate1stvert routine as well
  4. ; ****************************************************************************************************
  5. (defun BuildVertList ()
  6. (locate1stvert entlist) ; locate the first vertex in the entity data
  7. (setq VertCount 1) ; Initialise the vertex number count
  8. (setq VertList nil) ; Initialise the VertList Variable
  9. (while (<= VertCount VertNum)
  10. (setq checkval (car (nth n entlist)))
  11. (if (= (car (nth n entlist)) 10)
  12. (progn
  13. ; Set the point data to a point variable in the form of a list (X, Y, Z)
  14. (setq VertPt (trans (list (cadr (nth n entlist )) (caddr (nth n entlist )) 0.0) 0 1))
  15. ; Extract the bulge factor
  16. (setq n (+ n 3))
  17. (setq BulgeFactor (cdr (nth n entlist)))
  18. (setq VertList (append VertList (list VertPt BulgeFactor)))
  19. (setq n (1+ n))
  20. (setq VertCount (1+ VertCount))
  21. ) ; end of progn
  22. ) ; end of if
  23. (setq n (1+ n))
  24. ) ; End While
  25. )
  26. ; ****************************************************************************************************
  27. ; This function converts Cartesian to Compass and vice versa
  28. ; ****************************************************************************************************
  29. (defun cart2comp (angdegs)
  30. (if (< angdegs 90)
  31. (setq angdegs (- 90 angdegs))
  32. (progn
  33. (if (< angdegs 180)
  34. (setq angdegs (+ (- 90 angdegs) 360))
  35. (progn
  36. (if (< angdegs 270)
  37. (setq angdegs (+ (- 90 (- angdegs 180)) 180))
  38. (setq angdegs (+ (- 90 (- angdegs 270)) 90))
  39. )
  40. )
  41. )
  42. )
  43. )
  44. )
  45. ; ****************************************************************************************************
  46. ; Configures the retrieved DIMSCALE and USERI2 values for display in a message dialogue
  47. ; ****************************************************************************************************
  48. (defun ConfigSc4Disp ()
  49. (if (= (rtos basesel 2 0) "") ; Start of If 1
  50. (setq basesel 0)
  51. ) ; End of If 1
  52. (if (= basesel 0) ; Start of If 2
  53. (progn ; Then
  54. (setq DispScText (strcat "The Current scale is " DimScVal ". Is this correct?"))
  55. ) ; End of If 2 then progn
  56. (progn ; Else
  57. (setq DispScText (strcat "The Current scale is " DimScVal ". Is this correct?"))
  58. ) ; End of If 2 Else progn
  59. ) ; End of If 2
  60. (setq dcl_id (load_dialog "MR_Dialogues.dcl")) ; Initialise the Dialogue box
  61. (if (not (new_dialog "message_disp_curr_scale" dcl_id)) (exit)) ; Open the dialogue box
  62. (set_tile "msg" DispScText)
  63. (action_tile "Yesbtn" "(done_dialog 1)" ) ; Set and action for the OK Button
  64. (setq msgresp (start_dialog)) ; Execute the dialogue box and retrieve a response when a button is pushed
  65. (unload_dialog dcl_id) ; Remove the dialogue box from memory
  66. ) ; End of ConfigSc4Disp
  67. ; ****************************************************************************************************
  68. ; Create a dumbell block
  69. ; ****************************************************************************************************
  70. (defun createdumbell ()
  71. ; Create a selection set to capture any existing dumbell blocks
  72. (setq dbellsset (ssget "X" (list (cons 2 "dumbell"))))
  73. (if (= dbellsset nil) ; If there are no dumbell blocks in the drawing
  74. (progn ; then create it
  75. (command "zoom" "w" "-10,-10" "10,10")
  76. (command "line" "-2.5,0" "2.5,0" "")
  77. (command "circle" "-3.5,0" "1")
  78. (command "circle" "3.5,0" "1")
  79. (setq CURRANNOSCALE (getvar "CANNOSCALE"))
  80. (setvar "CANNOSCALE" "1:1000 (m)")
  81. (command "block" "dumbell" "A" "Y" "N" "0,0" "w" "-5,-2" "5,2" "")
  82. (setvar "CANNOSCALE" CURRANNOSCALE)
  83. (command "zoom" "p")
  84. ) ; end of block create
  85. ) ; End of if
  86. ) ; End of defun
  87. ; ****************************************************************************************************
  88. ; Create a dumbell block
  89. ; ****************************************************************************************************
  90. (defun createchgtick ()
  91. ; Create a selection set to capture any existing dumbell blocks
  92. (setq chgticksset (ssget "X" (list (cons 2 "chgtick"))))
  93. (if (= chgticksset nil) ; If there are no dumbell blocks in the drawing
  94. (progn ; then create it
  95. (command "zoom" "w" "-10,-10" "10,10")
  96. (command "line" "-2.5,0" "2.5,0" "")
  97. (setq CURRANNOSCALE (getvar "CANNOSCALE"))
  98. (setvar "CANNOSCALE" "1:1000 (m)")
  99. (command "block" "chgtick" "A" "Y" "N" "0,0" "w" "-5,-2" "5,2" "")
  100. (setvar "CANNOSCALE" CURRANNOSCALE)
  101. (command "zoom" "p")
  102. ) ; end of block create
  103. ) ; End of if
  104. ) ; End of defun
  105. ; **********************************************************************************************
  106. ; Find where a nominated point is on the alignment
  107. ; **********************************************************************************************
  108. (defun FindSegmentNumber (CheckPt)
  109. (setq whilecheck 1) ; Initialise the whilecheck variable. This keeps a count on the vertexes.
  110. (setq segnumber nil) ; INitialise the detected segment number variable
  111. (setq n 0 ) ; Initialise the group code counter to 0
  112. (locate1stvert entlist) ; locate the first vertex. function defined above.
  113. (While (< (1- whilecheck) VertNum) ; While there are still vertexes to process
  114. ; Set the point data to a point variable in the form of a list (X, Y, Z)
  115. (setq ptStartSeg (trans (list (cadr (nth n entlist )) (caddr (nth n entlist )) 0.0) 0 1))
  116. ; Extract the bulge factor
  117. (setq n (+ n 3))
  118. (setq BulgeFactor (cdr (nth n entlist)))
  119. ; **************************************************************************************
  120. ; Establish whether the element is a curve or a straight
  121. ; **************************************************************************************
  122. (if (/= BulgeFactor 0) ; If the Bulgfactor is not equal to 0 then we are on a curve
  123. (progn ; Then we are on a curve
  124. ; Extract the next point
  125. (setq n (+ n 2))
  126. (setq ptEndSeg (trans (list (cadr (nth n entlist )) (caddr (nth n entlist )) 0.0) 0 1)) ; Set the point data to a point variable in the form of a list (X, Y, Z)
  127. (GetRadiusBulgeAndPoints BulgeFactor ptStartSeg ptEndSeg) ; Calculate the radius (GetRadiusBulgeAndPoints sets a variable Radius and is defined in system.lsp)
  128. (setq CurveFlag 1)
  129. ) ; End of progn
  130. (progn ; Else extract the next point to process a straight
  131. (setq n (+ n 2))
  132. (setq ptEndSeg (trans (list (cadr (nth n entlist )) (caddr (nth n entlist )) 0.0) 0 1)) ; Set the point data to a point variable in the form of a list (X, Y, Z)
  133. (setq CurveFlag 0)
  134. ) ; End of progn
  135. ) ; End of If
  136. ; **************************************************************************************
  137. ; Is the Start Point within the element
  138. ; **************************************************************************************
  139. ; **************************************************************************************
  140. ; **************************************************************************************
  141. (If (= CurveFlag 0) ; If the element is a straight
  142. (Progn ; Then
  143. (setq SegLength (distance ptStartSeg ptEndSeg) ; Get the length and angle of the first segment
  144. SegAngle (rtd (angle ptStartSeg ptEndSeg)))
  145. (setq ReqdPtLen (distance ptStartSeg CheckPt) ; Get the distance from the first segment point to the selected point
  146. ReqdPtAng (rtd (angle ptStartSeg CheckPt)))
  147. ; If the distance and angle to the required point are zero, then we have coincident points at the start of the segment
  148. ; and the current segment is the one required
  149. (if (and (= ReqdPtLen 0) (= ReqdPtAng 0))
  150. (progn
  151. (setq SegNumber whilecheck) ; Set the segment number (the whilecheck value can be used for this)
  152. (setq whilecheck Vertnum) ; Now that the element has been found we need to set the whilecheck to exit the routine
  153. )
  154. (progn
  155. (If (and (<= ReqdPtLen Seglength) (= (rtos SegAngle 2 3) (rtos ReqdPtAng 2 3))) ; If the Segment length is greater and the angle is the same
  156. ; to three decimals, then the point must be on the segment
  157. (progn
  158. (setq SegNumber whilecheck) ; Set the segment number (the whilecheck value can be used for this)
  159. (setq whilecheck Vertnum) ; Now that the element has been found we need to set the whilecheck to exit the routine
  160. ) ; End of Progn
  161. ); End if If
  162. )
  163. )
  164. ; This can be used now to determine the vertexes to be extracted. i.e. Segment number 1 goes from Vertex 1 to Vertex 2
  165. ; It is safe to say that the Segment number is also the first point number on the segment.
  166. ); End of first Progn
  167. ; **************************************************************************************
  168. ; **************************************************************************************
  169. (Progn ; Else if the element is a curve
  170. (setq InclAngle (rtd (* (atan BulgeFactor) 4))) ; Calculate the included angle (rtd is defined in system.lsp)
  171. ; Make the Included Angle positive if it is negative. The bulge factor can be used later to determine the hand of the arc
  172. (if (< InclAngle 0) ; If the angle is negative
  173. (setq InclAngle (* InclAngle -1))
  174. )
  175. (setq triAngles (/ (- 180 InclAngle) 2)) ; Calculate the other equilateral angles
  176. ; Find the centre of the arc
  177. (if (< BulgeFactor 0) ; If the Bulge Factor is negative
  178. (progn ; Then the arc is clockwise
  179. (setq ChordAng (rtd (angle ptStartSeg ptEndSeg)))
  180. (setq CentAng (dtr (- ChordAng triAngles)))
  181. (setq CentPt (polar ptStartSeg CentAng Radius))
  182. ;(command "line" CentPt ptStartSeg "")
  183. )
  184. (progn ; Else the arc is Anticlockwise
  185. (setq ChordAng (rtd (angle ptStartSeg ptEndSeg)))
  186. (setq CentAng (dtr (+ ChordAng triAngles)))
  187. (setq CentPt (polar ptStartSeg CentAng Radius))
  188. ;(command "line" CentPt ptStartSeg "")
  189. )
  190. ) ; End of find centre If
  191. ; Determine the angle between the centre and the selected point
  192. (setq ptAngle (rtd (angle CentPt CheckPt))) ; Calculate the angle from centrepoint to selected point
  193. (setq SegStAngle (rtd (angle CentPt ptStartSeg))) ; Calculate the angle from centrepoint to segment start point
  194. (setq SelPtAngDiff (- SegStAngle PtAngle)) ; Calculate the angle difference
  195. (setq SelPt2CentDist (distance CentPt CheckPt)) ; Calculate the distance from centrepoint to selected point
  196. (if (and (<= SelPtAngDiff InclAngle) (= (rtos Radius 2 3) (rtos SelPt2CentDist 2 3))) ; If the angle is less than the curve angle and the distance
  197. ; equals the radius, then the point must be on the current arc
  198. (progn
  199. (setq SegNumber whilecheck) ; Set the segment number (the whilecheck value can be used for this)
  200. (setq whilecheck Vertnum) ; Now that the element has been found we need to set the whilecheck to exit the routine
  201. ) ; End of progn
  202. ) ; End of Pt Check If
  203. ) ; End of curve Progn
  204. ) ; End of If
  205. (setq whilecheck (1+ whilecheck)) ; Increment the whilecheck by 1
  206. ); End Of While
  207. )
  208. ; ****************************************************************************************************
  209. ; Displays a dialogue requesting a scale value
  210. ; ****************************************************************************************************
  211. (defun getascale()
  212. ; This is the original LISP code now replaced by the VBA routine above in ACAD.DVB
  213. (setq dcl_id (load_dialog "MR_Dialogues.dcl")) ; Load the dialogue file
  214. (if (not (new_dialog "ScaleList" dcl_id)) (exit)) ; Load the dialogue definition from the file
  215. (start_list "scale_val") ; Start the process for adding values to the pop-ip
  216. (setq scalelist (list "" "1" "2" "5" "10" "20" "25" "50" "100" "125" "200" "250" "500" "1000" "1250" "2000" "2500" "5000" "10000" "20000" "25000" "50000" "100000"))
  217. (mapcar 'add_list scalelist) ; process the values in ListOfLayouts into the list
  218. (end_list) ; Close the list creation process
  219. ;(setq SelLayout (nth 0 ListOfLayouts)) ; Set the first entry as a default value
  220. (action_tile "one2one" "(setq basesel "1")") ; get the response if 1:1 is selected
  221. (action_tile "onethous" "(setq basesel "0")") ; get the response if 1:1 is selected
  222. (action_tile "scale_val" "(process_scalepopup)") ; Set a variable based on the value in the box
  223. (action_tile "cancel" "(done_dialog 0)" ) ; Set and action for the cancel button
  224. (action_tile "ok" "(done_dialog 1)" ) ; Set and action for the OK Button
  225. (setq setcmd (start_dialog)) ; Get a response from the dialogue box.vp
  226. (unload_dialog dcl_id) ; Ensure that the dialogue box is unloaded
  227. )
  228. ; ****************************************************************************************************
  229. ; Retrieves the first vertex from the list generated by BuildVertList
  230. ; Used in LAA defined in acaddoc.lsp
  231. ; ****************************************************************************************************
  232. (defun getvertex1 (entname)
  233. ; Get the entity list using the entity name
  234. (setq entlist (entget entname))
  235. ; Get the number of vertices
  236. (setq VertNum (cdr (assoc 90 entlist)))
  237. ; Build a more easily used list of the vertices and the bulge factors
  238. (BuildVertList)
  239. ; Extract the first and second vertices from the list
  240. (setq vertpt1 (nth 0 vertlist))
  241. )
  242. ; ****************************************************************************************************
回复

使用道具 举报

35

主题

2471

帖子

2447

银币

初露锋芒

Rank: 3Rank: 3Rank: 3

铜币
174
发表于 2022-7-6 07:37:40 | 显示全部楼层
剩下的代码。(字符太多。)
[code];**************************************************************************************************************;用于放置蝌蚪符号的可重复代码****************************************************************************************************(defun placetad(TadPt ScalePt)(命令“layer”“T”“MRR\u tadpolis”“)(if(=(getvar“PSTYLEMODE”)0)(命令“layer”“M”“MRR\u tadpolis”“C”“2”“L”“Continuous”“LW”“0.25”“PS”“Black\u 025”“);创建文本要进入的层(命令“layer”“M”“MRR\u tadpolis”“C”“2”“L”“Continuous”“”“LW”“0.25”“”“);为要进入的文本创建层)(setq SaveOSMode(getvar“OSMODE”)(setq scaledit(distance TadPt ScalePT))(setvar“ANGBASE”0)(setvar“ANGDIR”0)(setvar“OSMODE”0)(if(=TadStyle“Tadpole”)(progn(if(=(rem half count 2)0);如果半计数是偶数,则(setq ScaleDist(rtos(/ScaleDist 3)2 3));将蝌蚪再缩放0.5(setq ScaleDist(rtos(/ScaleDist 1.5)2 3));否则缩放以适应接口之间。)(命令“insert”“Tadpole”TadPt ScaleDist”“ScalePt));蝌蚪插入结束(progn;如果这是一只扁虱式蝌蚪(If(=(rem half count 2)0);如果半计数是偶数,则(progn(命令行“TadPt ScalePt”“)(命令“length”“P”50 ScalePt”“)(progn(命令行“TadPt ScalePt”“)))(setvar“OSMODE”SaveOSMode)(setvar“ANGDIR”currANGDIR)(setvar“ANGBASE”currANGBASE));**************************************************************************************************************************************************************************************************************************************;用于放置哑铃的可重复代码****************************************************************************************************(defun placedbell(TickPt TextAngle)(if(=(getvar“PSTYLEMODE”)0)(命令“layer”“M”“MR\u chaineage\u TICKS”“C”“7”“L”“Continuous”“PS”“Black\u 025”“);为文本创建图层(命令“layer”“M”“MR\u CHAINAGE\u TICKS”“C”“7”“L”“Continuous”“”“”);为要进入的文本创建层)(setq SaveOSMode(getvar“OSMODE”))(setvar“ANGBASE”0)(setvar“ANGDIR”0)(setvar“OSMODE”0)(命令“insert”“dumbell”TickPt 1”“TextAngle)(setvar“OSMODE”SaveOSMode)(setvar“ANGDIR”currANGDIR)(setvar“ANGBASE”currANGBASE));**************************************************************************************************************************************************************************;用于设置默认命名打印样式的可重复代码****************************************************************************************************(defun c:SetDefaultPStyle()(vl load COM)(vla put样式表(vla get ActiveLayout(vla get ActiveDocument(vlax get acad object)))“MR_Full Size Colour.stb”);********************************************************************************************************************************************************************************************************************************;设置默认的DWS文件;******************************************************************************************************************************************************************;;;用法(c:AddDWS(findfile“MyStandards.dws”);;;迈克尔·帕克特;;;R、 罗伯特·贝尔;;(defun c:SetDefaultDWS(fileN/dictN eDict xrInt)(defun c:SetDefaultDWS(/dictN eDict xrInt)(setq fileN“c:/Apps/MR\u CUST/ACAD/ACAD2010/templates/Main Roads Standard.dws”);查找主要道路图纸标准文件的位置(setq dictN“AcStStandard”法令(cond((cdr(assoc-1(dictsearch(namedobjdict)dictN))((dictadd(namedobjdict)dictN(entmakex’((0。“DICTIONARY”)(100。“AcDbDictionary”)))(if(setq xrInt(cdrs 3(entget DICTT)))(setq xrInt(1+(应用‘max(mapcar’atoi xrInt)))))(setq xrInt 0))(dictadd DICTT(itoa xrInt)(entmakex(list’(0。“XRECORD”)'(100。“AcDbXrecord”)(cons 1 fileN)));函数结束(defun cdrs(key lst/pair rtn)(while(setq pair(assoc key lst))(setq rtn(cons(cdr pair)rtn)lst(cdr(member pair lst))))(reverse rtn));;;;***************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************;;;;确保正确设置了标准层;;;;***************************************************************************************************************************************************;;;(defun c:SetLayerDefaults();查找图层标准文本文件的位置。应在C:\Apps\MR\u CUST\ACAD\ACAD2010\lsp\u dotNet\LISP;;;(setq LayStdFile(findfile“MR Standard Layer Definitions.txt”);打开文件进行读取;;;(setq#LayStdFile(open LayStdFile“r”);阅读标题行。为了三行,就把它们一行接一行读;;;(setq文件行(读取行#LayStdFile));;;(setq文件行(读取行#LayStdFile));;;(setq文件行(读取行#LayStdFile));现在我们进入了文件主体;;;(while;while我们不在文件的末尾;;(setq FileLine(read line#LayStdFile));阅读下一行;;结束层默认值;**************************************************************************************************************************************************************;用于定位文本插入和文本角度的可重复代码****************************************************************************************************(defun txtptandagline(AlignPt SegAngle)(setq TextAngle(+SegAngle 90))(setq TextPt(polar AlignPt(dtr TextAngle)Choff))(defun txtptandagarc(AlignPt PtAngle)(if(<凸度因子0);如果凸出系数为负(setq TextAngle PtAngle);存储Chaiage文本的角度(setq TextAngle(-PtAngle 180));存储字符文本的角度)(setq TextPt(polar AlignPt(dtr TextAngle)Choff));***************************************************************************************************************************************************************************************************************************************;用于定位蝌蚪角度的可重复代码****************************************************************************************************(defun TadAngLine(AlignPt SegAngle)(setq TadAngle(+SegAngle 90)))(defun TadAngArc(AlignPt PtAngle)(if(<凸度因子0);如果凸出系数为负(setq TadAngle PtAngle);存储蝌蚪的角度(setq TadAngle(-PtAngle 180));存储蝌蚪的角度);*****************************************************************************************************************;根据getascale中的选择重置DIMSCALE和USERI2系统变量****************************************************************************************************(defun ResetScVals();根据选择重置DIMSCALE和USERI2变量(如果(=basesel“”);如果答案为nothing(从If 3开始(setq basesel“0”);将1:1000的答案设置为0);if 3结束(if(=basesel“0”);If 4的开始(progn;Then(setq AnnoScaleText(strcat“1:(rtos selscale 2 0)”(m)”)(setvar“CANNOSCALE”AnnoScaleText);(setvar“DIMSCALE”(/selscale 1000));变量从2008年起不再可用(setvar“USERI2”0);If 4 Then progn结束(progn;Else(setq AnnoScaleText(strcat“1:(rtos selscale 2 0)”(mm)”)(setvar“CANNOSCALE”AnnoScaleText);(setvar“DIMSCALE”selscale);变量从2008年起不再可用(setvar“USERI2”1);If 4 Else程序结束);If 4结束);ResetScVals函数结束(defun purgegroups1(一个/计数i个组)(vl load com);;当前文档的get groups集合(setq groups(vla get groups(vla get activedocument(vlax get acad object)))count(vla get count groups);#图纸i 0中的组数;循环计数器)(如果有(setq num 1);清除一个实体和空组(setq num 0);仅清除空组)(while(<i(vla get count group));删除时更新vla get count!(如果(
回复

使用道具 举报

18

主题

434

帖子

422

银币

初露锋芒

Rank: 3Rank: 3Rank: 3

铜币
94
发表于 2022-7-6 07:39:47 | 显示全部楼层
我已经使用Lisp有一段时间了,但从未想过学习创建Lisp会有好处。现在重新考虑一下,我知道有一个支持我的论坛来满足我的好奇心。
回复

使用道具 举报

35

主题

2471

帖子

2447

银币

初露锋芒

Rank: 3Rank: 3Rank: 3

铜币
174
发表于 2022-7-6 07:41:27 | 显示全部楼层
您如何使用上述代码?有3个函数可以打印多行文字标签(角度、半径和通用标签),但这些函数在代码中的任何地方都没有使用。
回复

使用道具 举报

2

主题

18

帖子

16

银币

初来乍到

Rank: 1

铜币
10
发表于 2022-7-6 07:46:16 | 显示全部楼层
下拉菜单是定制的一部分。
回复

使用道具 举报

35

主题

2471

帖子

2447

银币

初露锋芒

Rank: 3Rank: 3Rank: 3

铜币
174
发表于 2022-7-6 07:50:34 | 显示全部楼层
希望这有帮助
回复

使用道具 举报

2

主题

18

帖子

16

银币

初来乍到

Rank: 1

铜币
10
发表于 2022-7-6 07:54:07 | 显示全部楼层
即使看起来是由政府机构发布的,该安装程序(来自post#10)是一个EXE文件,我不打算在我的工作站上安装它。很抱歉。
 
我相信有更多的文件,你张贴在上面;要找到可能负责打印上述标签的人,请在安装目录中搜索“(placetext)(不带逗号)。如果发现一些,请在这里发布代码。
回复

使用道具 举报

发表回复

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

  • 微信公众平台

  • 扫描访问手机版

  • 点击图片下载手机App

QQ|关于我们|小黑屋|乐筑天下 繁体中文

GMT+8, 2025-3-10 04:34 , Processed in 0.350121 second(s), 72 queries .

© 2020-2025 乐筑天下

联系客服 关注微信 帮助中心 下载APP 返回顶部 返回列表